import { Network, Platform, ProtocolName } from "@wormhole-foundation/sdk-base";
import { ChainsConfig, CircleTransferDetails, GatewayTransferDetails, TokenTransferDetails } from "@wormhole-foundation/sdk-definitions";
export type WormholeConfig<N extends Network = Network, P extends Platform = Platform> = {
    api: string;
    circleAPI: string;
    chains: ChainsConfig<N, P>;
};
export type TransferRequest<PN extends ProtocolName = ProtocolName> = PN extends "TokenBridge" | "AutomaticTokenBridge" ? TokenTransferDetails : PN extends "CircleBridge" | "AutomaticCircleBridge" ? CircleTransferDetails : PN extends "IbcBridge" ? GatewayTransferDetails : never;
//# sourceMappingURL=types.d.ts.map